Get the list of call lists crm.calllist.list
Scope:
crmWho can execute the method: user with read access permission for CRM elements
The method crm.calllist.list returns a list of call list activities.
Method Parameters
Required parameters are marked with *
|
Name |
Description |
|
SELECT |
Array of fields to retrieve. By default, all fields are returned.
|
|
FILTER |
Object format:
List of fields for filtering:
An additional prefix can be assigned to the field to specify the filter behavior. Possible prefix values:
|
|
ORDER |
Object format:
|
Code Examples
How to Use Examples in Documentation
curl -X POST -H "Content-Type: application/json" -H "Accept: application/json" -d '{"SELECT":["ID","CREATED_BY_ID"],"FILTER":{"ENTITY_TYPE_ID":3},"ORDER":{"ID":"DESC"}}' https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.calllist.list
curl -X POST -H "Content-Type: application/json" -H "Accept: application/json" -d '{"SELECT":["ID","CREATED_BY_ID"],"FILTER":{"ENTITY_TYPE_ID":3},"ORDER":{"ID":"DESC"},"auth":"**put_access_token_here**"}' https://**put_your_bitrix24_address**/rest/crm.calllist.list
// callListMethod: Retrieves all data at once. Use only for small selections (< 1000 items) due to high memory usage.
try {
const response = await $b24.callListMethod(
'crm.calllist.list',
{
SELECT: ["ID", "CREATED_BY_ID"],
FILTER: { "ENTITY_TYPE_ID": 3 },
ORDER: { "ID": "DESC" }
},
(progress) => { console.log('Progress:', progress) }
)
const items = response.getData() || []
for (const entity of items) { console.log('Entity:', entity) }
} catch (error) {
console.error('Request failed', error)
}
// fetchListMethod: Retrieves data in parts using an iterator. Use it for large data volumes to optimize memory usage.
try {
const generator = $b24.fetchListMethod('crm.calllist.list', { SELECT: ["ID", "CREATED_BY_ID"], FILTER: { "ENTITY_TYPE_ID": 3 }, ORDER: { "ID": "DESC" } }, 'ID')
for await (const page of generator) {
for (const entity of page) { console.log('Entity:', entity) }
}
} catch (error) {
console.error('Request failed', error)
}
// callMethod: Manually controls pagination through the start parameter. Use it for precise control of request batches. For large datasets, it is less efficient than fetchListMethod.
try {
const response = await $b24.callMethod('crm.calllist.list', { SELECT: ["ID", "CREATED_BY_ID"], FILTER: { "ENTITY_TYPE_ID": 3 }, ORDER: { "ID": "DESC" } }, 0)
const result = response.getData().result || []
for (const entity of result) { console.log('Entity:', entity) }
} catch (error) {
console.error('Request failed', error)
}
try {
$response = $b24Service
->core
->call(
'crm.calllist.list',
[
'SELECT' => ['ID', 'CREATED_BY_ID'],
'FILTER' => ['ENTITY_TYPE_ID' => 3],
'ORDER' => ['ID' => 'DESC'],
]
);
$result = $response
->getResponseData()
->getResult();
echo 'Success: ' . print_r($result, true);
// Your logic for processing data
processData($result);
} catch (Throwable $e) {
error_log($e->getMessage());
echo 'Error fetching call list: ' . $e->getMessage();
}
BX24.callMethod(
"crm.calllist.list",
{
SELECT: ["ID", "CREATED_BY_ID"],
FILTER: { "ENTITY_TYPE_ID": 3 },
ORDER: { "ID": "DESC" }
},
function(result) {
if (result.error()) {
console.error(result.error());
} else {
console.dir(result.data());
}
}
);
require_once('crest.php');
$result = CRest::call(
'crm.calllist.list',
[
'SELECT' => ['ID', 'CREATED_BY_ID'],
'FILTER' => ['ENTITY_TYPE_ID' => 3],
'ORDER' => ['ID' => 'DESC']
]
);
echo '<PRE>';
print_r($result);
echo '</PRE>';
Response Handling
HTTP status: 200
{
"result": [
{
"ID": "13",
"CREATED_BY_ID": "29"
},
{
"ID": "9",
"CREATED_BY_ID": "1"
},
{
"ID": "3",
"CREATED_BY_ID": "131"
},
{
"ID": "1",
"CREATED_BY_ID": "131"
}
],
"time": {
"start": 1752475786.965766,
"finish": 1752475787.035008,
"duration": 0.06924200057983398,
"processing": 0.016666889190673828,
"date_start": "2025-07-14T09:49:46+02:00",
"date_finish": "2025-07-14T09:49:47+02:00",
"operating_reset_at": 1752476387,
"operating": 0
}
}
Returned Data
|
Name |
Description |
|
result |
Root element of the response. Contains an array of objects with information about call lists. The structure of fields depends on the |
|
time |
Information about the execution time of the request |
Error Handling
HTTP status: 400
{
"error": "Invalid parameters.",
"error_description": "Invalid parameters were provided."
}
|
Name |
Description |
|
error |
String error code. It may consist of digits, Latin letters, and underscores |
|
error_description |
Textual description of the error. The description is not intended to be shown to the end user in its raw form |
Possible Error Codes
|
Code |
Description |
Value |
|
|
|
Invalid parameters were provided |
|
|
|
Unknown parameter "Field name" |
Statuses and System Error Codes
HTTP Status: 20x, 40x, 50x
The errors described below may occur when calling any method.
|
Status |
Code |
Description |
|
|
|
An internal server error has occurred, please contact the server administrator or Bitrix24 technical support |
|
|
|
An internal server error has occurred, please contact the server administrator or Bitrix24 technical support |
|
|
|
The request intensity limit has been exceeded |
|
|
|
The current method is not allowed to be called using batch |
|
|
|
The maximum length of parameters passed to the batch method has been exceeded |
|
|
|
Invalid access token or webhook code |
|
|
|
The methods must be called using the HTTPS protocol |
|
|
|
The REST API is blocked due to overload. This is a manual individual block, to remove it you need to contact Bitrix24 technical support |
|
|
|
The REST API is available only on commercial plans |
|
|
|
The user whose access token or webhook was used to call the method lacks permissions |
|
|
|
The manifest is not available |
|
|
|
The request requires higher privileges than those provided by the webhook token |
|
|
|
The provided access token has expired |
|
|
|
The user does not have access to the application. This means that the application is installed, but the account administrator has allowed access to this application only for specific users |
|
|
|
The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the option "Temporary closure of the public part of the site". Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site |
Continue Learning
- Create a New Call List crm.calllist.add
- Get Information About the Call List crm.calllist.get
- Get the list of call participants crm.calllist.items.get
- Get the list of call statuses crm.calllist.statuslist
- Update Call List Composition crm.calllist.update